petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPMonitorSolution

Monitors progress of the KSP solvers by calling VecView() for the approximate solution at each iteration.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPMonitorSolution(KSP ksp,PetscInt its,PetscReal fgnorm,PetscViewerAndFormat *dummy)

Collective on KSP

### Input Parameters

| ksp | - the KSP context
| its | - iteration number
| fgnorm | - 2-norm of residual (or gradient)
| dummy | - a viewer

### Notes

For some Krylov methods such as GMRES constructing the solution at each iteration is expensive, hence using this will slow the code.

### Keywords

KSP, nonlinear, vector, monitor, view

### See Also

KSPMonitorSet(), KSPMonitorDefault(), VecView()

Level:intermediate
Location:src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages